﻿//using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace SfDataGridDemo
{   
  public class EntityItem:INotifyPropertyChanged
    {

        public object Value { get; private set; }

        public object OldValue { get; private set; }

        public Type Type { get; private set; }

        public string DisplayValue { get; set; }

        public Brush Background { get; set; }

        public SolidColorBrush AnimateBackground { get; set; }

        public Brush Foreground { get; set; }


        public EntityItem(object value, object oldVlaue, Type type, string
        displayValue, Brush background, SolidColorBrush animateBackground, Brush foreground)
        {
            this.Value = value;
            this.OldValue = oldVlaue;
            this.Type = type;
            this.DisplayValue = displayValue;
            this.Background = background;
            this.AnimateBackground = animateBackground;
            this.Foreground = foreground;  
        }
       
        public event PropertyChangedEventHandler PropertyChanged;

        public void RaiseNotifyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
