﻿using SfDataGridDemo;
using Syncfusion.UI.Xaml.ScrollAxis;
//using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using System.Windows.Media;

namespace SfDataGridDemo
{
    public class ViewModel
    {
        #region Fields
        readonly Action<object> _execute;
        readonly Predicate<object> _canExecute;
        #endregion // Fields


        private Dictionary<string, EntityItem> dctionaryInfo;
        public Dictionary<string, EntityItem> DctionaryInfo 
        {
            get
            {
                return dctionaryInfo;
            }
            set
            {
                dctionaryInfo = value;
            }
        }       

        public ViewModel()
        {        
            GenerateOrders1();
        }

       
        public void GenerateOrders1()
        {
            dctionaryInfo = new Dictionary<string, EntityItem>();
            dctionaryInfo.Add("10", new EntityItem(10, 12, null, "Sirert", Brushes.Black, new SolidColorBrush(Colors.Red), Brushes.Yellow));
            dctionaryInfo.Add("11", new EntityItem(11, 22, null, "Sirert", Brushes.Gold, new SolidColorBrush(Colors.Red), Brushes.Green));
            dctionaryInfo.Add("12", new EntityItem(12, 24, null, "John", Brushes.Green, new SolidColorBrush(Colors.Red), Brushes.Black));
            dctionaryInfo.Add("13", new EntityItem(13, 26, null, "Bulk", Brushes.Red, new SolidColorBrush(Colors.Gray), Brushes.Pink));
            dctionaryInfo.Add("14", new EntityItem(14, 28, null, "Charles", Brushes.Blue, new SolidColorBrush(Colors.Red), Brushes.Wheat));
            dctionaryInfo.Add("15", new EntityItem(15, 29, null, "Oliver", Brushes.Pink, new SolidColorBrush(Colors.Red), Brushes.Gray));
            dctionaryInfo.Add("16", new EntityItem(16, 30, null, "Oliver1", Brushes.Pink, new SolidColorBrush(Colors.Red), Brushes.Gray));
            dctionaryInfo.Add("17", new EntityItem(17, 31, null, "Oliver2", Brushes.Pink, new SolidColorBrush(Colors.Red), Brushes.Gray));
            dctionaryInfo.Add("18", new EntityItem(18, 31, null, "Oliver3", Brushes.Pink, new SolidColorBrush(Colors.Red), Brushes.Gray));
            dctionaryInfo.Add("19", new EntityItem(19, 31, null, "Oliver4", Brushes.Pink, new SolidColorBrush(Colors.Red), Brushes.Gray));
        }
    }   
}



